Tuesday, October 23, 2012

WSJT on UBUNTU

After the previous success on WSPR on UBUNTU it was next time to try WSJT. I found an install package for an old version of WSJT but this did not have the ISCAT mode. So I turned to Roger W3SZ who was the Linux guru at the WSJT contest station for guidance. He showed me how to compile the current version from the svn. using the following method (type what is between the < and >)

 <svn co svn://svn.berlios.de/wsjt/trunk>

 go to .../trunk

I checked with the package manager and found I already had the libfftw3 and libfftw3-dev packages.

<./configure --with-portaudio-include-dir=/WSJT9/trunk/--with-portaudio-lib-dir=/usr/lib/i386-linux-gnu/>

it did a whole load of things starting at "Compiling wsjt" and ended with "Installing into: /usr/local"

still in trunk:-:

<make clean>
<make>
after it finishes make sure you have permissions to execute  ../trunk/wsjt.py 

<./wsjt.py>

then I saw

"WSJT Version 9.3 r2589 , by K1JT
Revision date: 2012-09-17 16:13:47 -0400 (Mon, 17 Sep 2012)
Run date:   Sun Oct 21 19:02:33 2012 UTC
..............................."

The normal WSJT9.3 window opened and I set up the options for JT65B and after leaving the rig tuned to 70.0485MHz for a while I saw:-



Next I set it to JT65A on the WSJT frequency on 40m and saw:-


Also worked well on transmit

Double success!

3 comments:

  1. Dear Friend,
    Many thanks for the Explanations !
    I spend lot of time to instal WSJT on my lap top! (with Ubuntu)
    I using the lap top only when I work on field.
    From my base station I using Windows 7.
    With Windows 7 I do not having any problem!
    Bud my lap top are come with Ubuntu installation.
    Many thanks! 73 de Z31MA KN02RA

    ReplyDelete
  2. What Linux version, 32bit or 64bit?
    Today's *old* laptops and PCs 64bit, need 64bit WSJT and must do 44100 samplerate.
    32bit apps with audio are no-longer useful. No 32bit audio API in 64bit Linux.

    ReplyDelete
  3. 32 bit. only one of my computers (windows ) has 64 bit due to incompatibility issues with older software (e.g. my logging programme)

    ReplyDelete